Old version of R statistical software

Chat about anything related to Linux Mint
Post Reply
jescario
Level 1
Level 1
Posts: 9
Joined: Thu Dec 31, 2015 1:22 pm

Old version of R statistical software

Post by jescario » Sat May 21, 2016 5:12 am

Hi everybody
I am using Linux Mint 17.3 and I would like to use a more recent version of R software. When I install R (and R studio) the R version is:
R version 3.0.2 (2013-09-25) -- "Frisbee Sailing"
I have installed R both with the menu and following the R web indications for Ubuntu in the official page of R. This is to say, I have put in my /etc/apt/sources.list file,
deb https://<my.favorite.cran.mirror>/bin/linux/ubuntu trusty/
and then executed the commands
> sudo apt-get update
> sudo apt-get install r-base
But the version is the same.

I also have downloaded the last version, unzip the file and following the instructions in the install file:
> ./configure
configure: error: --with-x=yes (default) and X11 headers/libs are not available
> make
make: *** No se especificó ningún objetivo y no se encontró ningún makefile. Alto.

Can anybody help me to get a more recent version of R. I don’t mind to have a non-updated version but somme packages require newer version than R version 3.0.2.
José Julián Escario

jescario
Level 1
Level 1
Posts: 9
Joined: Thu Dec 31, 2015 1:22 pm

Re: Old version of R statistical software

Post by jescario » Sat May 21, 2016 5:59 am

Ok, solved with the help of xenopeek in the following url:
viewtopic.php?f=47&t=80945&p=470223&hil ... al#p470223
My problem was a silly one. I hadn't changed <my.favorite.cran.mirror>.
Sorry

Post Reply

Return to “Chat about Linux Mint”